#### Previous topic

scipy.spatial.distance.minkowski

#### Next topic

scipy.spatial.distance.russellrao

# scipy.spatial.distance.rogerstanimoto

`scipy.spatial.distance.``rogerstanimoto`(u, v)

  Computes the Rogers-Tanimoto dissimilarity between two boolean 1-D arrays.

  The Rogers-Tanimoto dissimilarity between two boolean 1-D arrays u and v, is defined as

  \[\frac{R} {c_{TT} + c_{FF} + R}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\) and \(R = 2(c_{TF} + c_{FT})\).

  Parameters:

  u : (N,) array_like, bool

  > Input array.

  v : (N,) array_like, bool

  > Input array.

  Returns:

  rogerstanimoto : double

  > The Rogers-Tanimoto dissimilarity between vectors u and v.